/*
** ASS I/O v0.0. See readme.txt
** Copyright (C) 1998, Justin Frankel/Nullsoft Inc.
*/
int assinit(char *assfilename);
void assquit();

typedef struct {
  char filename[256];
  int offset_in_file,length;
} ass_table_entry;

typedef struct {
  ass_table_entry *ate;
  int position;
  FILE *real_file;
} ASSFILE;

ASSFILE *assfopen(char *fn, char *mode);
int assfclose(ASSFILE *s);

int assfread(void *data, int size, int num, ASSFILE *s);
char *assfgets(char *data, int num, ASSFILE *s);
int assfgetc(ASSFILE *s);

int assfeof(ASSFILE *s);
int assfseek(ASSFILE *s, int offset, int mode);
int assrewind(ASSFILE *s);
int assftell(ASSFILE *s);
